Loading...
Searching...
No Matches
vector_to_streams.h
Go to the documentation of this file.
/* -*- c++ -*- */
/*
* Copyright 2012 Free Software Foundation, Inc.
*
* This file is part of GNU Radio
*
* SPDX-License-Identifier: GPL-3.0-or-later
*
*/
#ifndef INCLUDED_BLOCKS_VECTOR_TO_STREAMS_H
#define INCLUDED_BLOCKS_VECTOR_TO_STREAMS_H
#include <gnuradio/blocks/api.h>
#include <gnuradio/sync_block.h>
namespace gr {
namespace blocks {
/*!
* \brief Convert 1 stream of vectors of length N to N streams of items
* \ingroup stream_operators_blk
*/
class BLOCKS_API vector_to_streams : virtual public sync_block
{
public:
// gr::blocks::vector_to_streams::sptr
typedef std::shared_ptr<vector_to_streams> sptr;
/*!
* Make vector-to-streams block
*
* \param itemsize the item size of the stream
* \param nstreams number of items per vector (vector size and
* number of streams produced)
*/
static sptr make(size_t itemsize, size_t nstreams);
};
} /* namespace blocks */
} /* namespace gr */
#endif /* INCLUDED_BLOCKS_VECTOR_TO_STREAMS_H */
gr::blocks::vector_to_streams
Convert 1 stream of vectors of length N to N streams of items.
Definition vector_to_streams.h:25
gr::blocks::vector_to_streams::make
static sptr make(size_t itemsize, size_t nstreams)
gr::blocks::vector_to_streams::sptr
std::shared_ptr< vector_to_streams > sptr
Definition vector_to_streams.h:28
gr::sync_block::sync_block
sync_block(void)
Definition sync_block.h:28
api.h
BLOCKS_API
#define BLOCKS_API
Definition gr-blocks/include/gnuradio/blocks/api.h:18
gr::blocks
Definition abs_blk.h:20
gr
GNU Radio logging wrapper.
Definition basic_block.h:29
sync_block.h